
NAME
     libposix4 - POSIX.1b Realtime Extensions library

SYNOPSIS
     cc [ flag ... ] file ...  -lposix4 [ library ... ]

     See the man pages for the individual interfaces  in  section
     3R for information on required headers.

DESCRIPTION
     Functions in this library provide  most  of  the  interfaces
     specified  by  the  POSIX.1b  Realtime Extension.  See stan-
     dards(5).   Specifically,  this  includes   the   interfaces
     defined under the Asynchronous I/O, Message Passing, Process
     Scheduling, Realtime Signals Extension,  Semaphores,  Shared
     Memory  Objects,  Synchronized I/O, and Timers options.  The
     interfaces defined under the Memory  Mapped  Files,  Process
     Memory  Locking,  and  Range Memory Locking options are pro-
     vided in libc(4).

     The shared object libposix4.so.1 provides the public  inter-
     faces defined below.

     For additional information on shared object interfaces,  see
     intro(4).

INTERFACES
     SUNW_1.1 (generic):

       aio_cancel               aio_error                aio_fsync
       aio_read                 aio_return               aio_suspend
       aio_write                clock_getres             clock_gettime
       clock_settime            fdatasync                lio_listio
       mq_close                 mq_getattr               mq_notify
       mq_open                  mq_receive               mq_send
       mq_setattr               mq_unlink                nanosleep
       sched_getparam           sched_get_priority_max   sched_get_priority_min
       sched_getscheduler       sched_rr_get_interval    sched_setparam
       sched_setscheduler       sched_yield              sem_close
       sem_destroy              sem_getvalue             sem_init
       sem_open                 sem_post                 sem_trywait
       sem_unlink               sem_wait                 shm_open
       shm_unlink               sigqueue                 sigtimedwait
       sigwaitinfo              timer_create             timer_delete
       timer_getoverrun         timer_gettime            timer_settime


FILES
     /usr/lib/libposix4.so.1      shared object

ATTRIBUTES
     See  attributes(5)  for  descriptions   of   the   following

File Formats                                         libposix4(4)


     attributes:

     __________________________________
    | ATTRIBUTE TYPE|  ATTRIBUTE VALUE|
    |__________________________________
    | MT-Level      |  Safe           |
    |_______________|_________________|

SEE ALSO
     pvs(1), intro(4), libc(4), attributes(5), standards(5)

SunOS 5.6           Last change: 21 Mar 1997                    2
